
Member Nodes - MNDeployment #3234

CyVerse (iPlant) member node

2012-09-07 01:16 - Dave Vieglais

Status: Testing Start date: 2013-01-30

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 50%

Category:  Estimated time: 0.00 hour

Target version: Deploy by end of Y4Q1   

Latitude: 32.22 MN_Date_Online:  

Longitude: -110.93 Name: CyVerse

MN Description: CyVerse provides life scientists with

powerful computational infrastructure to

handle huge datasets and complex

analyses, thus enabling data-driven

discovery. Our extensible platforms

provide data storage, bioinformatics

tools, image analyses, cloud services,

APIs, and more.

Logo URL:         

member-node-info/production/graphics/w

eb/CYVERSE.png

Base URL:  Date Upcoming: 2018-07-05

NodeIdentifier: urn:node:CYVERSE Date Deprecated:  

MN Tier: Tier 1 Information URL: http://www.cyverse.org/

Software stack: iRODS Version:  

Description

The Botanical Information and ecology Network (BIEN) , which is a project of the iPlant Collaborative has been identified as a

potential member node. This issue is to track progress on that goal.  Note that BIEN is a postgres database, with iRODS used for a

different part of the iPlant overall project.  

An initial contact is Nirav Merchant, but also Mark Schildhauer who is coordinating BIEN development.

Need to determine the relationship between BIEN and the iRODS data system use at iPlant, and whether they would represent the

same MN or two distinct MNs.

OTHER CONTACTS

* Shelley Littin littin@cyverse.org, Coordinator, Marketing & Communications

* Tina Lee tinal.cyverse@gmail.com, User Engagement Officer

* Ramona L. Walls rwalls@cyverse.org, Senior Scientific Analyst

Subtasks:

Task # 3534: Contact Schildhauer and Merchant to plan trajectory for iPlant MN Closed

Story # 8564: (CyVerse) Testing & Development New

  Task # 8565: Develop or Implement MN Software Closed

  Task # 8566: Test Registration In Progress

  Task # 8567: Display as Upcoming Closed

Story # 8568: (CyVerse) Move to production New

  Task # 8572: Cyverse - MN Communications Closed

  Task # 8643: (Cyverse) Implement in Production Environment New

  Task # 8644: (Cyverse) Register in Production New

  Task # 8645: (Cyverse)  Mutual acceptance New

  Task # 8646: (cyverse) Formal Announcement New

Related issues:

Blocked by Infrastructure - Story #4073: iRODS MN Stack development Closed

History
#1 - 2012-09-07 01:16 - Dave Vieglais

http://www.iplantcollaborative.org/challenge/iplant-tree-life/the-botanical-information-and-ecology-network-bien-0

#2 - 2013-01-30 19:54 - John Cobb

- translation missing: en.field_remaining_hours set to 0.0

- Due date set to 2013-07-31

- Target version set to Deploy by end of Y4Q4

#3 - 2013-01-30 20:31 - Matthew Jones

- Assignee set to Matthew Jones

- Subject changed from Deploy an iPlant BIEN member node to iPlant BIEN member node

#4 - 2013-01-30 20:33 - Matthew Jones

- Description updated

#5 - 2013-01-30 20:35 - Matthew Jones

- Description updated

#6 - 2013-01-30 20:47 - Matthew Jones

- Due date changed from 2013-07-31 to 2014-01-31

- Target version changed from Deploy by end of Y4Q4 to Deploy by end of Y5Q2

#7 - 2013-08-01 23:15 - John Cobb

BIEN iPlant software infrastructure is iRODs based.  MN deployment needs a iRODS SW deployment as a pre-requisite.  Y5Q2 target deployment me

need to be revised in light of this requirement and DataONE CCIT work plans.

#8 - 2013-09-06 18:35 - Bruce Wilson

- Subject changed from iPlant BIEN member node to iPlant member node

#9 - 2013-09-06 18:36 - Bruce Wilson

- Description updated

#10 - 2013-10-01 17:46 - Laura Moyers

- Software stack set to iRODS

#11 - 2013-10-01 18:06 - Bruce Wilson

- Due date deleted (2014-01-31)

- Target version deleted (Deploy by end of Y5Q2)

- Start date deleted (2013-01-30)

Pulling out of Y5Q2, as this going depends on the work with iRODS being done by the DFC node (#3532)

#12 - 2016-05-03 19:19 - Laura Moyers

- Subject changed from iPlant member node to CyVerse (iPlant) member node

iPlant is now known as CyVerse but the website is still http://www.iplantcollaborative.org/

#14 - 2016-12-16 18:44 - Laura Moyers

- MN Tier set to Tier 1
- NodeIdentifier set to urn:node:CYVERSE

Meeting 12/16/16:  CyVerse wishes to proceed with a MN representing the content in the Data Commons Repository (DCR).  This is a (currently)

small repository of public content, with identifiers, based in iRODS.  The intent is to piggy-back off of Lisa Stillwell's iRODS work toward the DFC MN. 

CyVerse does have the resources to develop/deploy an iRODS MN.  They currently have an internal replication scheme, so initially don't anticipate

replicating their content to other MNs.  

Follow-up meeting 3rd/4th week of January.

#15 - 2017-01-20 21:53 - Laura Moyers

- Status changed from New to Planning

- Target version set to Deploy by end of Y3Q2

- % Done changed from 0 to 10

See meeting notes from 20 January 2017:  https://epad.dataone.org/pad/p/CyVerse_and_DataONE

#16 - 2017-02-25 19:26 - Laura Moyers

- Target version changed from Deploy by end of Y3Q2 to Deploy by end of Y3Q3

#17 - 2017-04-11 17:22 - Laura Moyers

- Latitude set to 32.22

- Longitude set to -110.93

- Base URL set to http://www.cyverse.org/

#18 - 2017-08-24 01:31 - Laura Moyers

- Target version changed from Deploy by end of Y3Q3 to Deploy by end of Y3Q4

- Assignee changed from Matthew Jones to Mark Servilla

Administrative POCs: Nirav Merchant and Ramona Walls (rwalls@cyverse.org)

Technical POCs: Dennis at CyVerse, Mike Conway (michael_conway@unc.edu) with Lisa Stillwell (lisa@renci.org) as consultant (Lisa developed first

iRODS implementation for DFC (the DataNet Federation Consortium)

Meeting notes in epad:  https://epad.dataone.org/pad/p/CyVerse_and_DataONE

Last email from Ramona 23 August 2017: 

I think might be good if we scheduled another call sometime soon. Dennis has done quite a bit of work on publishing to DataONE, but we have

some questions that I think only someone from DataONE can answer, but for which it might be good to have the whole group on the call.

The questions have to do with the unit of publication to DataONE (a single file versus a collection of files), size limits on DataONE objects,

requirements on making metadata and data available via API, possible use of Bagit, and probably some other things I am forgetting. 

 

Currently trying to set up a call for Thursday, 31 August.
#19 - 2017-08-29 11:43 - Laura Moyers

Actual start date of 9/14/16 when serious discussions and plans for development began.

#20 - 2017-08-30 20:34 - Laura Moyers

- Target version changed from Deploy by end of Y3Q4 to Deploy by end of Y4Q1

#21 - 2017-09-11 17:33 - Mark Servilla

Conference call with Ramona, Dennis, Mike, Laura, Mark on 31 August (see epad: https://epad.dataone.org/pad/p/CyVerse_and_DataONE).

Provided more technical information for Mike and Dennis to ponder.

#22 - 2018-01-22 22:11 - Amy Forrester

10/18/2017 -email From: Dennis Roberts

Hi Everyone,

I just wanted to provide a brief update. The member node service along with the DataONE event logger has been running in our development

environments for about a week.

We’re currently in the process of changing our deployment strategy from Docker Compose to Kubernetes. I haven’t tried to package up the

member node service or the event logger for Docker Compose because that would ultimately be wasted effort. The next step in the switch to

Kubernetes will be to get our automated QA tests working against Kubernetes. Once that’s done, we’ll be able to deploy the member node

service and event logger in our QA environment. We can coordinate testing as soon as we get the member node service deployed.

The last remaining task for the member node service is to create a utility to generate the Object Reuse and Exchange files for our data sets. I

don’t believe that this has to be done before we can begin testing the member node service, but it will be necessary before we move it to

production.

#23 - 2018-02-12 16:14 - Amy Forrester

2/8/18 {Nirav Merchant}: The work has gone through QA on our side, it is bundled in the bigger Kubernetes upgrade for Discovery Environment (DE)

happening end of this month, so I am hoping we will see it in production soon.

Contact is Sarah Roberts(sarahr@cyverse.org)

#25 - 2018-04-23 21:11 - Amy Forrester

- % Done changed from 10 to 50

- Status changed from Planning to Testing

#26 - 2018-07-02 18:53 - Amy Forrester

- Logo URL set to https://github.com/DataONEorg/member-node-info/blob/master/production/graphics/originals/Cyverse_logo.png

- File Cyverse_logo.png added

#27 - 2018-07-02 19:39 - Rob Nahf

re: data planning for their Member Node, their initial plan is to expose the curated set of packages that are relatively stable, and have DOIs assigned. 

They manufacture the Datacite metadata for these packages, and it is a metadata format we support, so testing in STAGE makes sense.

Yet, there is a strong possibility that they will need to support mutable data, so would want to upgrade their API to v2, to leverage the seriesID. 
Meeting July 5th to help assess the situation.

Testing of their current api will be useful, and will be of great service to them for demonstrations in mid July.

#28 - 2018-07-05 13:48 - Amy Forrester

- Logo URL changed from https://github.com/DataONEorg/member-node-info/blob/master/production/graphics/originals/Cyverse_logo.png to

https://github.com/DataONEorg/member-node-info/blob/master/production/graphics/originals/cyverse_cmyk.png

- Name set to CyVerse

- Information URL set to http://www.cyverse.org/

- File cyverse_cmyk.png added

- MN Description set to CyVerse provides life scientists with powerful computational infrastructure to handle huge datasets and complex analyses, thus

enabling data-driven discovery. Our extensible platforms provide data storage, bioinformatics tools, image analyses, cloud services, APIs, and more.

- Base URL deleted (http://www.cyverse.org/)

information provided by Shelley Littin littin@cyverse.org

#29 - 2018-07-06 03:30 - Amy Forrester

- Date Upcoming set to 2018-07-05

#30 - 2018-07-19 21:14 - Amy Forrester

- Description updated

#31 - 2018-08-31 15:20 - Mark Servilla

- Assignee changed from Mark Servilla to Rob Nahf

#32 - 2019-03-05 18:36 - Amy Forrester

- Logo URL changed from https://github.com/DataONEorg/member-node-info/blob/master/production/graphics/originals/cyverse_cmyk.png to         

member-node-info/production/graphics/web/CYVERSE.png

Files

Cyverse_logo.png 8.38 KB 2018-07-02 Amy Forrester

cyverse_cmyk.png 72 KB 2018-07-05 Amy Forrester
